Update Parse-CPAN-Meta to CPAN version 1.4409
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Tue, 1 Oct 2013 12:10:22 +0000 (13:10 +0100)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Tue, 1 Oct 2013 12:10:22 +0000 (13:10 +0100)
  [DELTA]

1.4409    2013-09-23 13:17:18 America/New_York

    [FIXED]

    - updated Makefile.PL logic to support PERL_NO_HIGHLANDER

1.4408    2013-09-23 11:06:35 America/New_York

    [FIXED]

    - Installation on Perls < 5.12 will uninstall older versions installed
      due to being bundled with ExtUtils::MakeMaker

Porting/Maintainers.pl
cpan/Parse-CPAN-Meta/Changes
cpan/Parse-CPAN-Meta/lib/Parse/CPAN/Meta.pm

index d9e4294..4ef6a85 100755 (executable)
@@ -1313,7 +1313,7 @@ use File::Glob qw(:case);
 
     'Parse::CPAN::Meta' => {
         'MAINTAINER'   => 'dagolden',
-        'DISTRIBUTION' => 'DAGOLDEN/Parse-CPAN-Meta-1.4407.tar.gz',
+        'DISTRIBUTION' => 'DAGOLDEN/Parse-CPAN-Meta-1.4409.tar.gz',
         'FILES'        => q[cpan/Parse-CPAN-Meta],
         'EXCLUDED'     => [
             qw(t/00-compile.t),
index 323191a..7acde52 100644 (file)
 Changes for Perl programming language extension Parse-CPAN-Meta
 
+1.4409    2013-09-23 13:17:18 America/New_York
+
+    [FIXED]
+
+    - updated Makefile.PL logic to support PERL_NO_HIGHLANDER
+
+1.4408    2013-09-23 11:06:35 America/New_York
+
+    [FIXED]
+
+    - Installation on Perls < 5.12 will uninstall older versions installed
+      due to being bundled with ExtUtils::MakeMaker
+
 1.4407    2013-09-08 10:16:29 America/New_York
-      - Fixed incorrect resource metadata
+
+    - Fixed incorrect resource metadata
 
 1.4406    2013-09-08 09:59:28 America/New_York
-      - Fixed improperly encoded META.yml
+
+    - Fixed improperly encoded META.yml
 
 1.4405    2013-07-17 21:43:34 America/New_York
-      - Fixed incorrect "return ... or die ..." constructs
-      - Converted distribution to Dist::Zilla management
-      - Noted new repository location in the Github Perl-Toolchain-Gang
-        organization
+
+    - Fixed incorrect "return ... or die ..." constructs
+
+    - Converted distribution to Dist::Zilla management
+
+    - Noted new repository location in the Github Perl-Toolchain-Gang
+      organization
 
 1.4404 2012-04-05
-      - Protected tests from user PERL_YAML/JSON_BACKEND
+
+    - Protected tests from user PERL_YAML/JSON_BACKEND
 
 1.4403 2012-04-01
-      - Bumped prereqs: JSON::PP to 2.27200 and CPAN::Meta::YAML to 0.008
+
+    - Bumped prereqs: JSON::PP to 2.27200 and CPAN::Meta::YAML to 0.008
 
 1.4402 2012-02-07
-      - Minor maintenance: standardized newlines to Unix style
+
+    - Minor maintenance: standardized newlines to Unix style
 
 1.4401 2011-02-04
-      - Removed Module::Load::Conditional dependency
+
+    - Removed Module::Load::Conditional dependency
 
 1.4400 2011-02-04
-      - Added 'json_backend' and 'yaml_backend' methods to provide
-        the names of modules used for deserialization
+
+    - Added 'json_backend' and 'yaml_backend' methods to provide
+    the names of modules used for deserialization
 
 1.4200 2011-01-24
-      - No changes from 1.41_04
+
+    - No changes from 1.41_04
 
 1.41_04 2011-01-03
-      - Support PERL_JSON_BACKEND environment (defaulting to JSON::PP)
-      - Support PERL_YAML_BACKEND environment (defaulting to CPAN::Meta:YAML)
-      - Update Makefile.PL to install to sitelib on Perl 5.12+
+
+    - Support PERL_JSON_BACKEND environment (defaulting to JSON::PP)
+
+    - Support PERL_YAML_BACKEND environment (defaulting to CPAN::Meta:YAML)
+
+    - Update Makefile.PL to install to sitelib on Perl 5.12+
 
 1.41_03 2010-12-17
-       - Throw exception when CPAN::Meta::YAML has a parse error
-         (RT#47608)
+
+    - Throw exception when CPAN::Meta::YAML has a parse error
+      (RT#47608)
 
 1.41_02 2010-12-17
-       - Convert to using CPAN::Meta::YAML instead of YAML::Tiny
+
+    - Convert to using CPAN::Meta::YAML instead of YAML::Tiny
 
 1.41_01 2010-12-10
-       - add support for JSON metafiles and load_* methods (RJBS)
-       - Move binary file unpacking to test file from Makefile.PL so tests
-         will pass in the Perl core using a generated Makefile.PL
-       - Move bundled uupacktool.pl to t/bin/
+
+    - add support for JSON metafiles and load_* methods (RJBS)
+
+    - Move binary file unpacking to test file from Makefile.PL so tests
+      will pass in the Perl core using a generated Makefile.PL
+
+    - Move bundled uupacktool.pl to t/bin/
 
 1.40 2009-07-25
-       - Add core perl 5.10.1's uupacktool.pl
-       - Repackage t/data/utf_16_le_bom.yml as ASCII for https://rt.cpan.org/Ticket/Display.html?id=47844
+
+    - Add core perl 5.10.1's uupacktool.pl
+
+    - Repackage t/data/utf_16_le_bom.yml as ASCII for https://rt.cpan.org/Ticket/Display.html?id=47844
 
 1.39 2009-05-21
-       - Even though utf8 starts at 5.7+ there's no is_utf till
-         5.8.1 so skip in the tests if needed (ADAMK)
+
+    - Even though utf8 starts at 5.7+ there's no is_utf till
+      5.8.1 so skip in the tests if needed (ADAMK)
 
 1.38 2009-05-16
-       - Synchorised version numbers with YAML::Tiny
-       - Code shrinkages to the bloaty Unicode/BOM code
-       - Merging a ton more tests from YAML::Tiny
-       - Added back some pointless options to yaml_ok that keep our
-         codebase closer to YAML::Tiny (which should help with syncing)
-       - Changed exceptions to be closer to YAML::Tiny
+
+    - Synchorised version numbers with YAML::Tiny
+
+    - Code shrinkages to the bloaty Unicode/BOM code
+
+    - Merging a ton more tests from YAML::Tiny
+
+    - Added back some pointless options to yaml_ok that keep our
+      codebase closer to YAML::Tiny (which should help with syncing)
+
+    - Changed exceptions to be closer to YAML::Tiny
 
 0.05 2009-03-11
-       - Upgrade previous release to a stable release.
+
+    - Upgrade previous release to a stable release.
 
 0.04_01 2009-03-03
-       - Merge Unicode / BOM fixes from YAML::Tiny
+
+    - Merge Unicode / BOM fixes from YAML::Tiny
 
 0.04 2009-01-07
-       - Matching changes in YAML::Tiny 1.36
-       - Fixing missing feature reported by H.Merijn Brand
-       - Changes to make Padre-CPAN-Meta core-compatible (SMUELLER)++
+
+    - Matching changes in YAML::Tiny 1.36
+
+    - Fixing missing feature reported by H.Merijn Brand
+
+    - Changes to make Padre-CPAN-Meta core-compatible (SMUELLER)++
 
 0.03 2008-03-20
-       - Adding YAML.pm compatibility in scalar context
+
+    - Adding YAML.pm compatibility in scalar context
 
 0.02 2008-01-10
-       - Purging some references to YAML::Tiny that I missed
+
+    - Purging some references to YAML::Tiny that I missed
 
 0.01 2008-01-08
-       - Cloned from YAML::Tiny 1.21
-       - Removed all write functionality
-       - Reduced interface to Load and LoadFile
-       - Removed object-orientation
-       - Removed global $errstr, all errors are exceptions
-       - Applied prototypes to all functions
+
+    - Cloned from YAML::Tiny 1.21
+
+    - Removed all write functionality
+
+    - Reduced interface to Load and LoadFile
+
+    - Removed object-orientation
+
+    - Removed global $errstr, all errors are exceptions
+
+    - Applied prototypes to all functions
index c5dbe90..ff435ef 100644 (file)
@@ -1,7 +1,7 @@
 use strict;
 package Parse::CPAN::Meta;
 # ABSTRACT: Parse META.yml and META.json CPAN metadata files
-our $VERSION = '1.4407'; # VERSION
+our $VERSION = '1.4409'; # VERSION
 
 use Carp 'croak';
 
@@ -136,7 +136,7 @@ Parse::CPAN::Meta - Parse META.yml and META.json CPAN metadata files
 
 =head1 VERSION
 
-version 1.4407
+version 1.4409
 
 =head1 SYNOPSIS
 
@@ -311,11 +311,11 @@ Neil Bowers <neil@bowers.com>
 
 =item *
 
-Ricardo SIGNES <rjbs@cpan.org>
+Ricardo Signes <rjbs@cpan.org>
 
 =item *
 
-Steffen Müller <smueller@cpan.org>
+Steffen Mueller <smueller@cpan.org>
 
 =back